summaryrefslogtreecommitdiffstats
path: root/source/l/liboil
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/liboil')
-rwxr-xr-xsource/l/liboil/liboil.SlackBuild29
-rw-r--r--source/l/liboil/slack-desc10
2 files changed, 25 insertions, 14 deletions
diff --git a/source/l/liboil/liboil.SlackBuild b/source/l/liboil/liboil.SlackBuild
index ec2bcf114..20064cd03 100755
--- a/source/l/liboil/liboil.SlackBuild
+++ b/source/l/liboil/liboil.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -27,29 +27,37 @@
# Modified by Robby Workman <rworkman@slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=liboil
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j7}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -67,7 +75,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -85,11 +93,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-shared=yes \
--enable-static=no \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/liboil/slack-desc b/source/l/liboil/slack-desc
index c66fb6df0..98a095cdd 100644
--- a/source/l/liboil/slack-desc
+++ b/source/l/liboil/slack-desc
@@ -1,18 +1,18 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|
liboil: liboil (a library of simple functions)
liboil:
liboil: Liboil is a library of simple functions that are optimized for
-liboil: various CPUs. These functions are generally loops implementing
+liboil: various CPUs. These functions are generally loops implementing
liboil: simple algorithms, such as converting an array of N integers to
liboil: floating-point numbers or multiplying and summing an array of N
-liboil: numbers. Such functions are candidates for significant optimization
+liboil: numbers. Such functions are candidates for significant optimization
liboil: using various techniques, especially by using extended instructions
liboil: provided by modern CPUs (Altivec, MMX, SSE, etc.).
liboil: